Possible Bug using $FAI_DEBMIRROR
Thomas Lange
lange at informatik.uni-koeln.de
Wed May 25 11:30:50 CEST 2016
>>>>> On Tue, 24 May 2016 14:03:34 +0200, Thomas Lange <lange at informatik.uni-koeln.de> said:
>>>>> On Sun, 15 May 2016 20:09:55 +0000 (UTC), "C. V." <list-user at backenhoernchen.de> said:
>> I was setting up a new FAI system with Debian Jessie. Using a NFS mounted debian mirror (previously debmirror, now fai-mirror) I noticed that it is never mounted.
> I just did a test with FAI 5.0.3 and I set this variable in
> /srv/fai/config/class/myclient.var
> FAI_DEBMIRROR=myinstallserver:/files/scratch/debmirror
> When booting the client, this directory was mounted on
> /target/media/mirror wothout any problems.
I think I found the problem.
I do not have the directory /srv/fai/nfsroot/media/mirror, because I
use http acces when creating the nfsroot. But this directory is
created when using a NFS mounted package mirror and the it fails. I
will try to find a better way of detecting if booting from CD/USB.
I've already fixed fai-make-nfsroot
--- a/bin/fai-make-nfsroot
+++ b/bin/fai-make-nfsroot
@@ -498,6 +498,7 @@ umount_dirs() {
if [ -n "$FAI_DEBMIRROR" ]; then
test -d $NFSROOT/$MNTPOINT && umount $NFSROOT/$MNTPOINT || true
+ rmdir $MNTPOINT || true
fi
# show directories still mounted on nfsroot
mount | grep " on $NFSROOT " || true
--
regards Thomas
More information about the linux-fai
mailing list